﻿using System.Windows;
using System.Windows.Controls;
using System.Linq;
using System.Collections.ObjectModel;
using Telerik.Windows.Controls;
using System.Collections.Generic;

namespace TileViewPositionExample
{
	public partial class MainPage : UserControl
	{
		private ObservableCollection<TileViewItemViewModel> items;
		private List<TileViewItemViewModel> orderedItems;

		public MainPage()
		{
			InitializeComponent();

			this.orderedItems = new List<TileViewItemViewModel>();

			this.items = new ObservableCollection<TileViewItemViewModel>
			{
			    new TileViewItemViewModel(){Header = "One"},
			    new TileViewItemViewModel(){Header = "Two"},
			    new TileViewItemViewModel(){Header = "Three"},
			    new TileViewItemViewModel(){Header = "Four"},
				new TileViewItemViewModel(){Header = "Five"},
				new TileViewItemViewModel(){Header = "Six"}
			};

			this.myTileView.ItemsSource = this.items;
		}

		private void Button_Click(object sender, RoutedEventArgs e)
		{
			this.myTileView.ItemsSource = this.items.OrderBy(i => (i as TileViewItemViewModel).Position);
		}

		private void Button_Click_1(object sender, RoutedEventArgs e)
		{
			var itemTwo = this.items[5];
			this.items.RemoveAt(5);
			this.items.Insert(0, itemTwo);
		}

		private void Button_Click_2(object sender, RoutedEventArgs e)
		{
			this.orderedItems = this.items.OrderBy(i => (i as TileViewItemViewModel).Position).ToList();
		}
	}
}
